View Issue Details

IDProjectCategoryView StatusLast Update
0003028PluginsNetBoxpublic2015-08-13 10:03
ReporterdorlovAssigned Tomichael.lukashov 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version 8.1 x64
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003028: NetBox plugin падает по AV при входе в sftp сервак
Description Far Manager v3.0 build 4401 x86 (2015-07-16)
NetBox plugin падает по AV при входе в sftp сервак.
Выдает
Exception Access Violation (write to 0x00007FFE42E24C48)
Address 0x00007FFE42D84393
Function ProcessPanelInputW
Module Data\Local\Far Manager x64\Plugins\NetBox\NetBox.dll
Unload Plugin Debug Ignore

При поппытке входа в серваки, которых нет в текущей подсетке - реагирует нормально, а на тех, кто есть - ругается матом.

Additional Information<?xml version="1.0" encoding="UTF-8"?>
<NetBox version="2.1">
    <Sessions>
        <Session name="root@192.168.182.147">
            <Version>2.1.43</Version>
            <HostName>192.168.182.147</HostName>
            <UserName>root</UserName>
            <FSProtocol>SFTP%20(SCP)</FSProtocol>
            <RemoteDirectory>/</RemoteDirectory>
            <SFTPMaxVersion>0</SFTPMaxVersion>
            </CodePage>
            <LoginType>1</LoginType>
            <Password>Потер для репорта :) </Password>
        </Session>
    </Sessions>
</NetBox>
TagsNo tags attached.

Activities

michael.lukashov

2015-08-12 07:57

developer   bugnote:0013761

Что насчет версии плагина в ночных сборках фара?

dorlov

2015-08-13 07:19

reporter   bugnote:0013762

Сейчас на 4406 нормально.

michael.lukashov

2015-08-13 08:42

developer   bugnote:0013763

Тогда закройте этот баг кто-нибудь, у кого есть права администратора.

Issue History

Date Modified Username Field Change
2015-07-17 14:23 dorlov New Issue
2015-08-12 07:57 michael.lukashov Note Added: 0013761
2015-08-13 07:19 dorlov Note Added: 0013762
2015-08-13 08:42 michael.lukashov Note Added: 0013763
2015-08-13 10:00 2useven10 Category Panel => _Common
2015-08-13 10:01 2useven10 Project Far Manager => Plugins
2015-08-13 10:01 2useven10 Category _Common => NetBox
2015-08-13 10:03 2useven10 Status new => closed
2015-08-13 10:03 2useven10 Assigned To => michael.lukashov
2015-08-13 10:03 2useven10 Resolution open => fixed
2015-08-13 10:03 2useven10 Fixed in Version => 3.0